prompt describes what you want to show in the videoimage_url provides visual reference for AIaspect_ratio determines video orientation (vertical or horizontal)duration control the video duration (5 or 10 seconds), where if a 10-second video is selected, 1080p resolution cannot be selectedquality video resolution (720p or 1080p), where if 1080p is selected, 10-second video cannot be generatedwatermark video watermark text content, empty string means no watermarkcurl --location 'https://api.kie.ai/api/v1/jobs/createTask' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "runway",
"callBackUrl": "https://api.example.com/callback",
"input": {
"prompt": "A fluffy orange cat dancing energetically in a colorful room with disco lights",
"image_url": "https://example.com/cat-image.jpg",
"duration": 5,
"quality": "720p",
"aspect_ratio": "9:16",
"watermark": "kie.ai"
}
}'{
"code": 200,
"msg": "success",
"data": {
"taskId": "ee603959-debb-48d1-98c4-a6d1c717eba6"
}
}